<table mat-table [dataSource]="myCarList" class="mat-elevation-z8">

    <ng-container matColumnDef="carOwner">
        <th mat-header-cell *matHeaderCellDef> Dueño </th>
        <td mat-cell *matCellDef="let element"> {{element.carOwner}} </td>
    </ng-container>

    <ng-container matColumnDef="carPlate">
        <th mat-header-cell *matHeaderCellDef> Patente </th>
        <td mat-cell *matCellDef="let element"> {{element.carPlate}} </td>
    </ng-container>

    <ng-container matColumnDef="carColor">
        <th mat-header-cell *matHeaderCellDef> Color </th>
        <td mat-cell *matCellDef="let element"> {{element.carColor  | carColor}} </td>
    </ng-container>
    
    <ng-container matColumnDef="carType">
        <th mat-header-cell *matHeaderCellDef> Tipo </th>
        <td mat-cell *matCellDef="let element"> {{element.carType | carType}} </td>
    </ng-container>

    <ng-container matColumnDef="carTraction">
        <th mat-header-cell *matHeaderCellDef> Traccion </th>
        <td mat-cell *matCellDef="let element"> {{element.carTraction | carTraction}} </td>
    </ng-container>

    <ng-container matColumnDef="carYear">
        <th mat-header-cell *matHeaderCellDef> Fecha de compra </th>
        <td mat-cell *matCellDef="let element"> {{element.carYear | date:'longDate'}} </td>
    </ng-container>

    <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef> Acciones </th>
        <td mat-cell *matCellDef="let element" class="justify-center content-center py-4">
            <div class="flex gap-4">
                <button mat-raised-button  color="primary"   (click)="handleEdit(element)"><mat-icon class="pr-8">edit</mat-icon>Editar</button>
                <button mat-raised-button  color="warn"  (click)="handleDelete(element)"><mat-icon class="pr-8">delete</mat-icon>Eliminar</button>
            </div>
        </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>